## ros-iron-tf2-ros 0.31.5

=== debian/changelog ===
ros-iron-tf2-ros (0.31.5-1jammy) jammy; urgency=high

  * Fix invalid timer handle exception (#613 <https://github.com/ros2/geometry2/issues/613>)
  * Contributors: Cliff Wu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-tf2-ros (0.31.4-1jammy) jammy; urgency=high

  * Enable StaticTransformBroadcaster in Intra-process enabled components (#611 <https://github.com/ros2/geometry2/issues/611>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-tf2-ros (0.31.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tf2-ros (0.31.2-1jammy) jammy; urgency=high

  * Destroy callback group before node (#595 <https://github.com/ros2/geometry2/issues/595>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tf2-ros (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tf2-ros (0.31.0-1jammy) jammy; urgency=high

  * Enable TransformListener node-based constructor in Intra-process enabled components (#572 <https://github.com/ros2/geometry2/issues/572>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-tf2-ros (0.30.0-1jammy) jammy; urgency=high

  * Fix use-after-free bug in BufferServer::cancelCB (#579 <https://github.com/ros2/geometry2/issues/579>)
  * Update the demos to C++17. (#578 <https://github.com/ros2/geometry2/issues/578>)
  * add constructor to static tf broadcaster accepting node interfaces (#576 <https://github.com/ros2/geometry2/issues/576>)
  * Contributors: Alberto Soragna, Alexander Hans, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-tf2-ros (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 16:00:00 -0000

ros-iron-tf2-ros (0.28.0-1jammy) jammy; urgency=high

  * Switching from sstream to c string formatting to fix ros arg issue (#557 <https://github.com/ros2/geometry2/issues/557>)
  * allow construction of tf broadcaster from node object (not a pointer) (#555 <https://github.com/ros2/geometry2/issues/555>)
  * Allow to construct TransformBroadcaster and TransformListener from node interfaces (#552 <https://github.com/ros2/geometry2/issues/552>)
  * Contributors: Alberto Soragna, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-tf2-ros (0.27.0-1jammy) jammy; urgency=high

  * Suppress spam from calling canTransform (#529 <https://github.com/ros2/geometry2/issues/529>)
  * Contributors: Gonzo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-tf2-ros (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-iron-tf2-ros (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 16:00:00 -0000

ros-iron-tf2-ros (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-tf2-ros (0.25.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-tf2-ros (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-tf2-ros (0.23.0-1jammy) jammy; urgency=high

  * use dedicated callback group and executor to isolate timer (#447 <https://github.com/ros2/geometry2/issues/447>)
  * Adding shared pointer definition to tf2 buffer (#508 <https://github.com/ros2/geometry2/issues/508>)
  * fix for a basic logic (#510 <https://github.com/ros2/geometry2/issues/510>)
  * Fix precision loss from using rclcpp::Time::seconds() (#511 <https://github.com/ros2/geometry2/issues/511>)
  * Contributors: Chen Lihui, Kenji Brameld, Steve Macenski, Zhenpeng Ge

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-tf2-ros (0.22.0-1jammy) jammy; urgency=high

  * clear relative callback of Buffer if MessageFilter is destroyed (#490 <https://github.com/ros2/geometry2/issues/490>)
  * More info in tf2_echo output (#468 <https://github.com/ros2/geometry2/issues/468>)
  * Contributors: Chen Lihui, simulacrus

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-tf2-ros (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-tf2-ros (0.20.0-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#486 <https://github.com/ros2/geometry2/issues/486>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-tf2-ros (0.19.0-1jammy) jammy; urgency=high

  * More Intuitive CLI for Static Transform Publisher (#392 <https://github.com/ros2/geometry2/issues/392>)
  * Reduce transform listener nodes (#442 <https://github.com/ros2/geometry2/issues/442>)
  * tf2_ros: Fix deprecated subscriber callbacks (#448 <https://github.com/ros2/geometry2/issues/448>)

