=== debian/control ===
Source: ros-iron-tf2-ros
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-message-filters, ros-iron-rcl-interfaces, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-components, ros-iron-rosgraph-msgs <!nocheck>, ros-iron-tf2, ros-iron-tf2-msgs, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-iron-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-message-filters, ros-iron-rcl-interfaces, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-components, ros-iron-tf2, ros-iron-tf2-msgs, ros-iron-ros-workspace
Description: This package contains the C++ ROS bindings for the tf2 library
